.row {
    margin: 20px 0;
}

.top {
    margin-top: 20px;
}

.btn-primary {
    background-color: #ff0000;
    border-color: #ff0000;
    color: #fff;
}

.btn-primary:hover {
    background-color: #cc0000;
    border-color: #cc0000;
    color: #fff;
}

.table {
    margin-top: 20px;
    border-collapse: collapse;
    width: 100%;
}

.table th,
.table td {
    padding: 10px;
    border: 1px solid #ccc;
}

.table thead th {
    background-color: #f8f9fa;
    color: #333;
    font-weight: bold;
}

.table tbody tr:nth-child(even) {
    background-color: #f8f9fa;
}

.panel-footer {
    margin-top: 20px;
}

.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 0;
    border-radius: 0.25rem;
}

.pagination .page-link {
    color: #007bff;
    background-color: #fff;
    border-color: #007bff;
}

.pagination .page-link:hover {
    color: #0069d9;
    background-color: #e9ecef;
    border-color: #dee2e6;
}

.pagination .active .page-link {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.pagination .disabled .page-link {
    color: #6c757d;
    background-color: #fff;
    border-color: #dee2e6;
}

.pagination .next .page-link,
.pagination .prev .page-link,
.pagination .first .page-link,
.pagination .last .page-link {
    margin: 0;
    border-radius: 0.25rem;
}

.pagination .next .page-link:hover,
.pagination .prev .page-link:hover,
.pagination .first .page-link:hover,
.pagination .last .page-link:hover {
    z-index: 3;
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}